// prefix for ordering native logic
ORDER_TO_OBJ_C = "dragon:";

// check user agent
ACCESS_FROM_OTHER = -1;
ACCESS_FROM_IOS = 1;
ACCESS_FROM_ANDROID = 2;

if ((navigator.userAgent.indexOf('iPhone') > 0 && navigator.userAgent.indexOf('iPad') == -1) || 
	navigator.userAgent.indexOf('iPod') > 0) {
	userAgent = ACCESS_FROM_IOS;
} else if (navigator.userAgent.indexOf('Android') > 0) {
	userAgent = ACCESS_FROM_ANDROID;	
} else {
	userAgent = ACCESS_FROM_OTHER;
}

var sound = function() {	
	return {
		// SEを再生
		playSE: function(filename) {
			if (userAgent == ACCESS_FROM_IOS) {
				document.location = ORDER_TO_OBJ_C + "playSE:" + filename;
			} else if (userAgent == ACCESS_FROM_ANDROID) {
				window.Android.playSE(filename);
			}
		},
		// BGMを再生
		playBGM: function(filename) {
			if (userAgent == ACCESS_FROM_IOS) {
				document.location = ORDER_TO_OBJ_C + "playBGM:" + filename;
			} else if (userAgent == ACCESS_FROM_ANDROID) {
				window.Android.playBGM(filename);
			}
		},		
		// BGMを停止（ページ遷移直前に実行しても停止できないので注意）
		stopBGM: function() {
			if (userAgent == ACCESS_FROM_IOS) {
				document.location = ORDER_TO_OBJ_C + "stopBGM:";
			} else if (userAgent == ACCESS_FROM_ANDROID) {
				window.Android.stopBGM();	
			}
		},
		// SEを再生後、指定したURLへ遷移
		playSEAndHref: function(filename, nextPath) {
      if(!sound.nowloading){
        sound.nowloading = true;
        if (userAgent == ACCESS_FROM_IOS || userAgent == ACCESS_FROM_ANDROID) {
          var count_flg = 0;
          setInterval(function(){
            if(count_flg == 0) {
              sound.playSE(filename);
            }
            if(count_flg == 1) {
              location.href = nextPath;
            }
            count_flg++;
          }, 100);
        } else {
          location.href = nextPath;
        }
      }else{
        setTimeout(function(){sound.nowloading = false},2000);
      }
		},
		// SEを再生後、submit
		playSEAndSubmit: function(filename, submit_name) {
      if(!sound.nowloading){
        sound.nowloading = true;
        if (userAgent == ACCESS_FROM_IOS || userAgent == ACCESS_FROM_ANDROID) {
          var count_flg = 0;
          setInterval(function(){
            if(count_flg == 0) {
              sound.playSE(filename);
            }
            if(count_flg == 1) {
              submit_name.submit();
            }
            count_flg++;
          }, 100);
        } else {
          submit_name.submit();
        }
      }else{
        setTimeout(function(){sound.nowloading = false},2000);
      }
		},
	}
}();
